CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PSDocument Class Reference

## Public Member Functions
| PSDocument ()
| NextPage ()
| NextLine ()
| MoveToX ($NewXPos)
| MoveToY ($NewYPos)
| MoveToRelX ($NewXPos)
| MoveToRelY ($NewYPos)
| MoveTo ($NewXPos, $NewYPos)
| CurrentXPos ()
| CurrentYPos ()
| WritePostscriptToFile ($FileName)
| WritePDFToFile ($OutputFileName)
| SetPrintCommand ($NewPrintCommand)
| PrintDocument ($FileNamePrefix="PSDocument")
| SetPageSize ($PointsHigh, $PointsWide)
| SetTextWrapLength ($NewLength=0)
| SetFont ($FontName, $FontSize)
| GetFontHeight ()
| PageNumber ($NewPageNumber=-1)
| PrintText ($TextToPrint)
| PrintTextAt ($XPos, $YPos, $TextToPrint)
| TextAngle ($NewAngle=-1)
| UseLandscapeOrientation ()
| DefineStyle ($StyleName, $FontName, $FontSize)
| UseStyle ($StyleName)
| PrintRaw ($TextToPrint)

## Public Attributes
| $PageText
| $XPos = 0
| $YPos = 0
| $PageNumber = 1
| $HighestPageNumber = 1
| $TextAngle = 0
| $TableXPos = 0
| $TableYPos = 0
| $TableRowHeight = 0
| $TableColWidth = 0
| $FontHeight = 12
| $PageHeightInPoints = 792
| $PageWidthInPoints = 612
| $PrintCommand = "lpr %f"
| $StyleInfo
| $TextWrapLength = 0

## Detailed Description

Definition at line 19 of file Axis--PSDocument.php.

## Member Function Documentation

PSDocument::CurrentXPos | ( |  | ) |

Definition at line 86 of file Axis--PSDocument.php.

References $XPos.

Referenced by MoveToRelX().

Here is the caller graph for this function:

PSDocument::CurrentYPos | ( |  | ) |

Definition at line 91 of file Axis--PSDocument.php.

References $YPos.

Referenced by MoveToRelY().

Here is the caller graph for this function:

PSDocument::DefineStyle | ( |  | $StyleName,
|  |  | $FontName,
|  |  | $FontSize
| ) |  |

Definition at line 309 of file Axis--PSDocument.php.

PSDocument::GetFontHeight | ( |  | ) |

Definition at line 198 of file Axis--PSDocument.php.

Referenced by NextLine(), and PrintText().

Here is the caller graph for this function:

PSDocument::MoveTo | ( |  | $NewXPos,
|  |  | $NewYPos
| ) |  |

Definition at line 80 of file Axis--PSDocument.php.

References MoveToX(), and MoveToY().

Referenced by PrintTextAt(), and PSDocument().

Here is the caller graph for this function:

PSDocument::MoveToRelX | ( |  | $NewXPos | ) |

Definition at line 70 of file Axis--PSDocument.php.

References CurrentXPos().

PSDocument::MoveToRelY | ( |  | $NewYPos | ) |

Definition at line 75 of file Axis--PSDocument.php.

References CurrentYPos().

PSDocument::MoveToX | ( |  | $NewXPos | ) |

Definition at line 60 of file Axis--PSDocument.php.

Referenced by MoveTo().

Here is the caller graph for this function:

PSDocument::MoveToY | ( |  | $NewYPos | ) |

Definition at line 65 of file Axis--PSDocument.php.

Referenced by MoveTo().

Here is the caller graph for this function:

PSDocument::NextLine | ( |  | ) |

Definition at line 46 of file Axis--PSDocument.php.

References GetFontHeight(), and TextAngle().

Referenced by PrintText().

Here is the caller graph for this function:

PSDocument::NextPage | ( |  | ) |

Definition at line 38 of file Axis--PSDocument.php.

References PageNumber().

PSDocument::PageNumber | ( |  | $NewPageNumber = `-1` | ) |

Definition at line 203 of file Axis--PSDocument.php.

References $PageNumber.

Referenced by NextPage().

Here is the caller graph for this function:

PSDocument::PrintDocument | ( |  | $FileNamePrefix = `"PSDocument"` | ) |

Definition at line 160 of file Axis--PSDocument.php.

References WritePostscriptToFile().

PSDocument::PrintRaw | ( |  | $TextToPrint | ) |

Definition at line 326 of file Axis--PSDocument.php.

References $PageNumber.

Referenced by PrintText(), PSDocument(), SetFont(), UseLandscapeOrientation(), and UseStyle().

Here is the caller graph for this function:

PSDocument::PrintText | ( |  | $TextToPrint | ) |

Definition at line 217 of file Axis--PSDocument.php.

References GetFontHeight(), NextLine(), PrintRaw(), and TextAngle().

Referenced by PrintTextAt().

Here is the caller graph for this function:

PSDocument::PrintTextAt | ( |  | $XPos,
|  |  | $YPos,
|  |  | $TextToPrint
| ) |  |

Definition at line 285 of file Axis--PSDocument.php.

References $XPos, $YPos, MoveTo(), and PrintText().

PSDocument::PSDocument | ( |  | ) |

Definition at line 24 of file Axis--PSDocument.php.

References MoveTo(), PrintRaw(), and SetFont().

PSDocument::SetFont | ( |  | $FontName,
|  |  | $FontSize
| ) |  |

Definition at line 189 of file Axis--PSDocument.php.

References PrintRaw().

Referenced by PSDocument().

Here is the caller graph for this function:

PSDocument::SetPageSize | ( |  | $PointsHigh,
|  |  | $PointsWide
| ) |  |

Definition at line 178 of file Axis--PSDocument.php.

PSDocument::SetPrintCommand | ( |  | $NewPrintCommand | ) |

Definition at line 155 of file Axis--PSDocument.php.

PSDocument::SetTextWrapLength | ( |  | $NewLength = `0` | ) |

Definition at line 184 of file Axis--PSDocument.php.

PSDocument::TextAngle | ( |  | $NewAngle = `-1` | ) |

Definition at line 291 of file Axis--PSDocument.php.

References $TextAngle.

Referenced by NextLine(), and PrintText().

Here is the caller graph for this function:

PSDocument::UseLandscapeOrientation | ( |  | ) |

Definition at line 301 of file Axis--PSDocument.php.

References PrintRaw().

PSDocument::UseStyle | ( |  | $StyleName | ) |

Definition at line 315 of file Axis--PSDocument.php.

References PrintRaw().

PSDocument::WritePDFToFile | ( |  | $OutputFileName | ) |

Definition at line 138 of file Axis--PSDocument.php.

References WritePostscriptToFile().

PSDocument::WritePostscriptToFile | ( |  | $FileName | ) |

Definition at line 96 of file Axis--PSDocument.php.

References $HighestPageNumber.

Referenced by PrintDocument(), and WritePDFToFile().

Here is the caller graph for this function:

## Member Data Documentation

PSDocument::$FontHeight = 12

Definition at line 358 of file Axis--PSDocument.php.

PSDocument::$HighestPageNumber = 1

Definition at line 346 of file Axis--PSDocument.php.

Referenced by WritePostscriptToFile().

PSDocument::$PageHeightInPoints = 792

Definition at line 361 of file Axis--PSDocument.php.

PSDocument::$PageNumber = 1

Definition at line 343 of file Axis--PSDocument.php.

Referenced by PageNumber(), and PrintRaw().

PSDocument::$PageText

Definition at line 336 of file Axis--PSDocument.php.

PSDocument::$PageWidthInPoints = 612

Definition at line 362 of file Axis--PSDocument.php.

PSDocument::$PrintCommand = "lpr %f"

Definition at line 365 of file Axis--PSDocument.php.

PSDocument::$StyleInfo

Definition at line 368 of file Axis--PSDocument.php.

PSDocument::$TableColWidth = 0

Definition at line 355 of file Axis--PSDocument.php.

PSDocument::$TableRowHeight = 0

Definition at line 354 of file Axis--PSDocument.php.

PSDocument::$TableXPos = 0

Definition at line 352 of file Axis--PSDocument.php.

PSDocument::$TableYPos = 0

Definition at line 353 of file Axis--PSDocument.php.

PSDocument::$TextAngle = 0

Definition at line 349 of file Axis--PSDocument.php.

Referenced by TextAngle().

PSDocument::$TextWrapLength = 0

Definition at line 371 of file Axis--PSDocument.php.

PSDocument::$XPos = 0

Definition at line 339 of file Axis--PSDocument.php.

Referenced by CurrentXPos(), and PrintTextAt().

PSDocument::$YPos = 0

Definition at line 340 of file Axis--PSDocument.php.

Referenced by CurrentYPos(), and PrintTextAt().

The documentation for this class was generated from the following file:

- lib/AxisPHP/Axis--PSDocument.php